//
//  MyChartViewDelegate.m
//  IGChartView_DataPointHighlighting
//
//  Created by Darrell Kress on 4/16/14.
//  Copyright (c) 2014 Darrell Kress. All rights reserved.
//

#import "MyChartViewDelegate.h"
#import "MyFakeData.h"
@implementation MyChartViewDelegate
-(void)chartSeriesRenderHighlight:(IGChartView *)chartView forSeries:(IGSeries *)series withArgs:(IGAssigningCategoryStyleEventArgs *)args
{
    // this is extra for this sample, but since we can have more than one series in a chart, we should
    // filter our actions for the correct series.
    if ([series.key isEqualToString:@"a"])
    {
        // so this delegate method gets passed in information about the rendering.  For this sample
        // we know we are getting 10 data points so from the start index we will change the alpha level
        int i =  args.startIndex;
        
        // once we figure out what the new color will be, we set the brush that will be used for the data item.
        CGFloat percent = .9 - (((CGFloat)args.startIndex/10) * .4);
        args.fill = [[IGBrush alloc]initWithR:136/255.0 andG:46/255.0 andB:75/255.0 andA: percent];
        
        
        // ok the above code is pretty simple and just uses the index of the item as the only data.  But by using the index we can find the underlying data object by looking through the data series.  So if we need the actual data series object we can get that.
        
        MyFakeData* fakeData =  (MyFakeData*) [series.dataSource objectAtIndex:i];
        
        if (fakeData.nonCompleteData)
        {
            args.stroke = [[IGBrush alloc]initWithR:52/255.0 andG:179/255.0 andB:222/255.0 andA: 1];
            args.strokeThickness = 4.0;
        }
    }
}
@end
